From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/grip/
Date: Thu, 26 Apr 2018 11:35:33 +0000 (UTC) [thread overview]
Message-ID: <1524742523.3dcacbdf0b85082dad0161643dfb1c79b47d08b6.polynomial-c@gentoo> (raw)
commit: 3dcacbdf0b85082dad0161643dfb1c79b47d08b6
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 26 11:08:20 2018 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Apr 26 11:35:23 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dcacbdf
media-sound/grip: Bump to version 3.7.1
Package-Manager: Portage-2.3.31, Repoman-2.3.9
media-sound/grip/Manifest | 1 +
media-sound/grip/grip-3.7.1.ebuild | 52 ++++++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/media-sound/grip/Manifest b/media-sound/grip/Manifest
index be0e55f73cf..7b5c34a02e4 100644
--- a/media-sound/grip/Manifest
+++ b/media-sound/grip/Manifest
@@ -2,3 +2,4 @@ DIST grip-3.4.3.tar.gz 740870 BLAKE2B d6b703d4ba08bf976a53e70772977a6b0fd5cd231f
DIST grip-3.5.2.tar.gz 952153 BLAKE2B e82ccb50636e68ab9862d2004a4dbe59399372b76a835b33350e539a186fed516e7b4961fe930b3beb5168554324a5bebeee5ef03d1cb7731d7f9d7c1fd1feb9 SHA512 25fbc1aadfcbab57ae585afe0a6663d9640a3614c1b655abd238f272116eccf524e4de465784265cd1f12b48c4cdeb9fdd318f989052400a0bfc9855a5420421
DIST grip-3.6.3.tar.gz 960255 BLAKE2B 9aad33c04e98f60e5f7871e36f2e4bf616a16486482e7363d165ae7d9fc5343a52583e490b9b9757d31b051e6e96165d35931370e2681d727db7abb0854db2d5 SHA512 f94c5dc24a1355a024833992d05a7c05d84367a004607c9d6c7aa6d4bc24dd93b11e0a061689eb521a8abe637472011a1a4c8e968c48ac8447457cffc4d2957d
DIST grip-3.7.0.tar.gz 961006 BLAKE2B 826656477ae4d26aa5d3a43cd08336a20144adf2cc0ad538afb288daea748c94b453f5752e4ace95888294e5d269b20ecfa6fd66d4e4b3316af00140d0d25b4d SHA512 bc2cbfbc1602a3639944009326e485195dbbab83a3ee15ab7291050ccc8b62dc52e052dca50a040335cfb20ff8d244c5315a15e8d940f6a9d89b2808d7876ca1
+DIST grip-3.7.1.tar.gz 961428 BLAKE2B 0c31b549577a1bbde17936e8e243d6fa573c6ac0c6035ea303c983c6ac26a0f7ddef193cea74a4148655f2305db97b3e74476bfe763fcbe77c656e012b4fe07a SHA512 812c6d0715e18da78b8657722697cf7b39b345f2d94c5a3002c6a512ff0482d4e96b58910e0c2fd459ac707a24754c6c491e66eac7692c49ec69bb869079202c
diff --git a/media-sound/grip/grip-3.7.1.ebuild b/media-sound/grip/grip-3.7.1.ebuild
new file mode 100644
index 00000000000..b664cc4ecb4
--- /dev/null
+++ b/media-sound/grip/grip-3.7.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils flag-o-matic toolchain-funcs libtool
+
+DESCRIPTION="GTK+ based Audio CD Player/Ripper"
+HOMEPAGE="https://sourceforge.net/projects/grip/"
+SRC_URI="mirror://sourceforge/grip/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="vorbis"
+
+# lame and vorbis-tools are no real RDEPENDs. But without them
+# grip cannot convert ripped files to any format. So use them as
+# a sane default.
+RDEPEND="
+ gnome-base/libgnome
+ >=gnome-base/libgnomeui-2.2.0
+ >=media-libs/id3lib-3.8.3
+ media-sound/cdparanoia
+ media-sound/lame
+ net-misc/curl
+ >=x11-libs/gtk+-2.2:2
+ x11-libs/libX11
+ x11-libs/pango
+ x11-libs/vte:0
+ vorbis? ( media-sound/vorbis-tools )
+"
+# gnome-extra/yelp, see bug 416843
+DEPEND="
+ ${RDEPEND}
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ default
+
+ sed '/^Icon/s@grip\b@gripicon@' -i grip.desktop || die
+}
+
+src_configure() {
+ # Bug #69536
+ [[ $(tc-arch) == "x86" ]] && append-flags "-mno-sse"
+
+ strip-linguas be bg ca de en en_CA en_GB en_US es fi fr hu it ja nb nl pl_PL pt_BR ru sr vi zh_CN zh_HK zh_TW
+
+ econf
+}
next reply other threads:[~2018-04-26 11:35 UTC|newest]
Thread overview: 91+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-04-26 11:35 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-02 9:12 [gentoo-commits] repo/gentoo:master commit in: media-sound/grip/ Miroslav Šulc
2024-05-31 14:09 Arthur Zamarin
2024-05-31 14:01 Arthur Zamarin
2024-05-31 13:59 Arthur Zamarin
2024-05-31 13:41 Arthur Zamarin
2024-05-31 12:08 Arthur Zamarin
2024-04-08 5:53 Sam James
2023-01-16 10:50 Miroslav Šulc
2023-01-13 18:42 Arthur Zamarin
2022-12-30 17:09 Sam James
2022-12-30 17:09 Sam James
2022-12-30 13:15 Arthur Zamarin
2022-12-30 13:15 Arthur Zamarin
2022-11-29 9:05 Miroslav Šulc
2022-02-24 14:20 Miroslav Šulc
2022-02-24 13:02 Sam James
2022-02-24 13:02 Sam James
2022-02-24 7:25 Agostino Sarubbo
2022-02-24 7:24 Agostino Sarubbo
2022-02-24 7:24 Agostino Sarubbo
2022-01-24 0:16 Jonas Stein
2020-09-23 10:49 Miroslav Šulc
2020-09-23 10:34 Agostino Sarubbo
2020-09-23 10:32 Agostino Sarubbo
2020-09-23 10:29 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-23 10:20 Agostino Sarubbo
2020-08-21 18:54 Ben Kohler
2020-08-21 7:57 Miroslav Šulc
2020-08-21 7:47 Miroslav Šulc
2020-06-03 15:26 Andreas Sturmlechner
2020-06-03 15:21 Agostino Sarubbo
2020-06-03 15:17 Agostino Sarubbo
2020-06-03 15:15 Agostino Sarubbo
2020-06-03 15:10 Agostino Sarubbo
2020-06-03 6:59 Sergei Trofimovich
2020-03-09 13:25 Lars Wendler
2020-02-16 20:24 David Seifert
2020-02-07 14:10 Andreas Sturmlechner
2020-02-07 12:12 Agostino Sarubbo
2020-02-06 21:11 Sergei Trofimovich
2020-02-06 16:45 Lars Wendler
2020-02-06 8:26 Sergei Trofimovich
2020-02-05 23:56 Sergei Trofimovich
2020-02-05 10:34 Agostino Sarubbo
2020-02-04 9:00 Agostino Sarubbo
2020-01-16 8:51 Lars Wendler
2019-12-12 17:00 Lars Wendler
2019-10-14 12:49 Lars Wendler
2019-10-14 12:49 Lars Wendler
2019-08-23 22:00 Lars Wendler
2019-08-23 22:00 Lars Wendler
2019-02-28 10:58 Lars Wendler
2019-01-09 7:23 Lars Wendler
2019-01-09 7:23 Lars Wendler
2018-10-20 14:12 Sergei Trofimovich
2018-10-13 15:49 Sergei Trofimovich
2018-09-13 14:31 Tobias Klausmann
2018-08-26 16:47 Sergei Trofimovich
2018-08-26 9:50 Andreas Sturmlechner
2018-08-25 18:55 Sergei Trofimovich
2018-08-23 2:41 Mikle Kolyada
2018-08-23 1:41 Thomas Deutschmann
2018-07-18 7:19 Lars Wendler
2018-07-18 7:19 Lars Wendler
2018-06-01 14:20 Lars Wendler
2018-05-22 14:32 Lars Wendler
2018-05-22 14:32 Lars Wendler
2018-03-20 14:05 Lars Wendler
2018-03-20 14:05 Lars Wendler
2018-03-05 20:26 Sergei Trofimovich
2018-02-04 6:31 Lars Wendler
2017-12-01 11:47 Lars Wendler
2017-12-01 11:47 Lars Wendler
2017-10-26 18:54 Thomas Deutschmann
2017-10-14 22:07 Sergei Trofimovich
2017-10-13 12:13 Sergei Trofimovich
2017-10-06 7:44 Lars Wendler
2017-10-06 7:44 Lars Wendler
2017-09-04 7:30 Tobias Klausmann
2017-08-11 13:13 Lars Wendler
2017-08-05 18:07 Sergei Trofimovich
2017-08-01 8:15 Lars Wendler
2017-08-01 8:15 Lars Wendler
2017-07-20 10:36 Lars Wendler
2017-07-20 10:36 Lars Wendler
2017-06-09 1:19 Lars Wendler
2017-06-09 1:19 Lars Wendler
2017-05-29 12:42 Lars Wendler
2017-04-19 9:38 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1524742523.3dcacbdf0b85082dad0161643dfb1c79b47d08b6.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox